"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../");
var Readme = require("./README/Select.md");
react_1.storiesOf('Core/Select', module)
    .addDecorator(with_readme_1.default(Readme))
    .add('Standard', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Select, null,
                React.createElement("option", { value: 1 }, "Option 1"),
                React.createElement("option", { value: 2 }, "Option 2"),
                React.createElement("option", { value: 3 }, "Option 3")))));
})
    .add('Emphasized', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Select, { emphasized: true },
                React.createElement("option", { value: 1 }, "Option 1"),
                React.createElement("option", { value: 2 }, "Option 2"),
                React.createElement("option", { value: 3 }, "Option 3")))));
})
    .add('Disabled', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Box, { m: 3 },
            React.createElement(_1.Select, { disabled: true },
                React.createElement("option", { value: 1 }, "Option 1"),
                React.createElement("option", { value: 2 }, "Option 2"),
                React.createElement("option", { value: 3 }, "Option 3")))));
});
